Automations
Delete fan segment
Delete a saved audience segment from the specified creator.
DELETE
/v1/agencies/{agencyId}/creators/{creatorId}/segments/{segmentId}Delete a saved audience segment from the specified creator.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
segmentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/agencies/string/creators/string/segments/string" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "type": "PRICE_RANGE", "creatorId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "name": "string", "updatedAt": "2019-08-24T14:15:22Z", "minValue": null, "maxValue": null, "durationValue": null, "durationUnit": null, "comparisonOperator": null, "lastSyncedAt": null, "lastFullSyncedAt": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}